POST V1/ReportScheduler.{ext}/SendNotification

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Common.Entities.ReportSchedulerNotification
NameDescriptionTypeAdditional information
ReportSchedulerTransactionId

No description available

integer

None.

ReportSchedulerDetailId

No description available

integer

None.

ReportScheduleId

No description available

integer

None.

ScheduledTaskGUID

No description available

string

None.

ReportScheduleName

No description available

string

None.

Email

No description available

string

None.

Subject

No description available

string

None.

Body

No description available

string

None.

GeneratedFilename

No description available

string

None.

IsEMSNotificationRequired

No description available

string

None.

IsAttachmentRequired

No description available

string

None.

IsMobileNotificationRequired

No description available

string

None.

DeliveryMethod

No description available

string

None.

Host

No description available

string

None.

Uid

No description available

string

None.

Pwd

No description available

string

None.

Port

No description available

string

None.

DefaultCredentials

No description available

string

None.

FromEmailId

No description available

string

None.

EnableSSL

No description available

string

None.

SequenceNo

No description available

string

None.

SaveTo

No description available

string

None.

EmailIds

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "reportSchedulerTransactionId": 1,
  "reportSchedulerDetailId": 2,
  "reportScheduleId": 3,
  "scheduledTaskGUID": "sample string 4",
  "reportScheduleName": "sample string 5",
  "email": "sample string 6",
  "subject": "sample string 7",
  "body": "sample string 8",
  "generatedFilename": "sample string 9",
  "isemsNotificationRequired": "sample string 10",
  "isAttachmentRequired": "sample string 11",
  "isMobileNotificationRequired": "sample string 12",
  "deliveryMethod": "sample string 13",
  "host": "sample string 14",
  "uid": "sample string 15",
  "pwd": "sample string 16",
  "port": "sample string 17",
  "defaultCredentials": "sample string 18",
  "fromEmailId": "sample string 19",
  "enableSSL": "sample string 20",
  "sequenceNo": "sample string 21",
  "saveTo": "sample string 22",
  "emailIds": "sample string 23"
}

application/xml, text/xml

Sample:
<ReportSchedulerNotification xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Common.Entities">
  <Body>sample string 8</Body>
  <DefaultCredentials>sample string 18</DefaultCredentials>
  <DeliveryMethod>sample string 13</DeliveryMethod>
  <Email>sample string 6</Email>
  <EmailIds>sample string 23</EmailIds>
  <EnableSSL>sample string 20</EnableSSL>
  <FromEmailId>sample string 19</FromEmailId>
  <GeneratedFilename>sample string 9</GeneratedFilename>
  <Host>sample string 14</Host>
  <IsAttachmentRequired>sample string 11</IsAttachmentRequired>
  <IsEMSNotificationRequired>sample string 10</IsEMSNotificationRequired>
  <IsMobileNotificationRequired>sample string 12</IsMobileNotificationRequired>
  <Port>sample string 17</Port>
  <Pwd>sample string 16</Pwd>
  <ReportScheduleId>3</ReportScheduleId>
  <ReportScheduleName>sample string 5</ReportScheduleName>
  <ReportSchedulerDetailId>2</ReportSchedulerDetailId>
  <ReportSchedulerTransactionId>1</ReportSchedulerTransactionId>
  <SaveTo>sample string 22</SaveTo>
  <ScheduledTaskGUID>sample string 4</ScheduledTaskGUID>
  <SequenceNo>sample string 21</SequenceNo>
  <Subject>sample string 7</Subject>
  <Uid>sample string 15</Uid>
</ReportSchedulerNotification>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

Object

None.

Response Formats

application/json, text/json

Sample:
{}

application/xml, text/xml

Sample:
<z:anyType xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:z="http://schemas.microsoft.com/2003/10/Serialization/" />

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.